For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Check admin user permissions

GET
https://api.brevo.com/v3/corporate/user/:email/permissions
GET
/v3/corporate/user/:email/permissions
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.getCorporateUserPermission("email");
8}
9main();
1{
2 "email": "invitedUser@company.com",
3 "feature_access": {
4 "analytics": [
5 "download_data",
6 "create_alerts",
7 "my_looks",
8 "explore_create"
9 ],
10 "api_keys": [
11 "all"
12 ],
13 "apps_management": [
14 "all"
15 ],
16 "create_sub_organizations": [
17 "all"
18 ],
19 "manage_sub_organizations": [
20 "all"
21 ],
22 "my_plan": [
23 "all",
24 "all"
25 ],
26 "sub_organization_groups": [
27 "create",
28 "edit_delete"
29 ],
30 "user_management": [
31 "none"
32 ]
33 },
34 "groups": [
35 {
36 "id": "6543ab3667ffbb00142e4486",
37 "name": "Support"
38 },
39 {
40 "id": "174bab366732bbce142e4412",
41 "name": "Technical"
42 }
43 ],
44 "status": "active"
45}
This endpoint will provide the list of admin user permissions
Was this page helpful?
Previous

Change admin user permissions

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

emailstringRequired
Email of the invited user.

Response

List of user's permissions
emailstring
Email address of the user.
feature_accessobject
Granular feature permissions given to the user.
groupslist of objects
statusstring
Status of the invited user.

Errors

400
Bad Request Error